package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.MkmjGateAddCmd;
import com.zcloud.primeport.dto.MkmjGatePageQry;
import com.zcloud.primeport.dto.MkmjGateUpdateCmd;
import com.zcloud.primeport.dto.clientobject.MkmjGateCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:18
 */
public interface MkmjGateServiceI {
    PageResponse<MkmjGateCO> listPage(MkmjGatePageQry qry);

    SingleResponse<MkmjGateCO> add(MkmjGateAddCmd cmd);

    void edit(MkmjGateUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    MkmjGateCO getInfoById(Long id);

    Boolean checkName(String gateName, Long passageId, Long id);
}

